"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var PostgresModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostgresModule = void 0;
const common_1 = require("@nestjs/common");
const postgres_core_module_1 = require("./postgres-core.module");
const postgres_constants_1 = require("./postgres.constants");
let PostgresModule = PostgresModule_1 = class PostgresModule {
    constructor(pool) {
        this.pool = pool;
    }
    static forRoot(options) {
        return {
            module: PostgresModule_1,
            imports: [postgres_core_module_1.PostgresCoreModule.forRoot(options)],
        };
    }
    static forRootAsync(options) {
        return {
            module: PostgresModule_1,
            imports: [postgres_core_module_1.PostgresCoreModule.forRootAsync(options)],
        };
    }
    static forFeature(sqlStatement) {
        return {
            module: PostgresModule_1,
            imports: [postgres_core_module_1.PostgresCoreModule.forFeature(sqlStatement)],
        };
        // return {
        //   module: PostgresModule,
        // };
    }
};
PostgresModule = PostgresModule_1 = __decorate([
    (0, common_1.Module)({}),
    __param(0, (0, common_1.Inject)(postgres_constants_1.constants.pg_connection))
], PostgresModule);
exports.PostgresModule = PostgresModule;
