import { DynamicModule, ModuleMetadata } from '@nestjs/common';
import { Pool, PoolConfig } from 'pg';
export interface PostgresModuleAsyncOptions extends Pick<ModuleMetadata, 'imports'> {
    useFactory: (...args: any[]) => Promise<PoolConfig> | PoolConfig;
    inject?: any[];
}
export declare class PostgresModule {
    private pool;
    constructor(pool: Pool);
    static forRoot(options: PoolConfig): DynamicModule;
    static forRootAsync(options: PostgresModuleAsyncOptions): DynamicModule;
    static forFeature(sqlStatement: string): DynamicModule;
}
//# sourceMappingURL=postgres.module.d.ts.map