var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var PostgresModule_1;
import { Module, Inject } from '@nestjs/common';
import { PostgresCoreModule } from './postgres-core.module';
import { constants } from './postgres.constants';
let PostgresModule = PostgresModule_1 = class PostgresModule {
    pool;
    constructor(pool) {
        this.pool = pool;
    }
    static forRoot(options) {
        return {
            module: PostgresModule_1,
            imports: [PostgresCoreModule.forRoot(options)],
        };
    }
    static forRootAsync(options) {
        return {
            module: PostgresModule_1,
            imports: [PostgresCoreModule.forRootAsync(options)],
        };
    }
    static forFeature(sqlStatement) {
        return {
            module: PostgresModule_1,
            imports: [PostgresCoreModule.forFeature(sqlStatement)],
        };
        // return {
        //   module: PostgresModule,
        // };
    }
};
PostgresModule = PostgresModule_1 = __decorate([
    Module({}),
    __param(0, Inject(constants.pg_connection))
], PostgresModule);
export { PostgresModule };
