import { DynamicModule } from '@nestjs/common';
import { Pool, PoolConfig } from 'pg';
import { PostgresModuleAsyncOptions } from './postgres.module';
export declare class PostgresCoreModule {
    private pool;
    constructor(pool: Pool);
    static forRoot(options: PoolConfig): DynamicModule;
    static forRootAsync(options: PostgresModuleAsyncOptions): DynamicModule;
    static forFeature(sqlStatement: string): DynamicModule;
}
//# sourceMappingURL=postgres-core.module.d.ts.map